Skip to main content
GET
/
api
/
v3
/
tools
List native tools
curl --request GET \
  --url https://paradigm.lighton.ai/api/v3/tools \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://paradigm.lighton.ai/api/v3/tools"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://paradigm.lighton.ai/api/v3/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "tools": [
    {
      "id": "<string>",
      "name": "<string>",
      "object": "tool",
      "require_document": true,
      "accepted_file_types": [
        "<string>"
      ]
    }
  ]
}
"<unknown>"
"<unknown>"
"<unknown>"

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

company_id
integer

Filter by company allowlist (sys-admins only).

Response

tools
object[]
required